From 783bb73d90a2ce5a11128d8e248521f8cad5a8bc Mon Sep 17 00:00:00 2001
From: Jeremy Bicha <jbicha@debian.org>
Date: Sun, 6 Oct 2019 15:19:11 -0400
Subject: [PATCH] Set $XDG_RUNTIME_DIR to clean up some build log noise

---
 debian/rules | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/debian/rules b/debian/rules
index 324bc86..34adb0e 100755
--- a/debian/rules
+++ b/debian/rules
@@ -3,6 +3,8 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
+CHECK_HOME = $(CURDIR)/debian/tmp/home
+
 CONFFLAGS := 	--with-systemduserunitdir=/usr/lib/systemd/user \
 		--enable-introspection \
 		--enable-appstream-util \
@@ -27,3 +29,9 @@ endif
 override_dh_clean:
 	dh_clean
 	rm -f po/Makefile.in.in m4/intltool.m4 config.log
+
+override_dh_auto_test:
+ifeq (, $(filter nocheck, $(DEB_BUILD_OPTIONS)))
+	mkdir -p -m0700 $(CHECK_HOME)
+	XDG_RUNTIME_DIR=$(CHECK_HOME) dh_auto_test
+endif
-- 
2.20.1

